Bug 18573 - Once removed, default Component palettes cannot be restored
Once removed, default Component palettes cannot be restored
Status: CLOSED INVALID
Product: guibuilder
Classification: Unclassified
Component: Code
3.x
PC Windows ME/2000
: P1 (vote)
: 3.x
Assigned To: issues@guibuilder
issues@guibuilder
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-12 18:36 UTC by Reuben Cleetus
Modified: 2003-06-30 18:29 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Reuben Cleetus 2001-12-12 18:36:17 UTC
I inadvertantly removed a component palette from my GUI Form Editor, 
called "Swing (other)", and cannot find a way to restore this palette.

There should be a default set of Palettes, probably made up of the ones that 
come standard with Netbeans, which can be re-set to "factory settings" through 
an option. One would then have the option of removing items from the default 
Palettes, but then also be able to restore them to their original conditions 
easily.
Comment 1 Jan Lahoda 2001-12-12 23:02:49 UTC
This seems like form editor problem, so reassigning.
Comment 2 Tomas Pavek 2001-12-13 09:50:22 UTC
I don't understand why this should be P1 defect - if you delete 
something (after confirming explicitly you want to delete it), then 
it is deleted. I'm afraid it is not possible to restore default 
palette in form module, but you can do it manually. Exit the IDE, go 
to the your_userdir/system/Palette directory and delete all files 
with postfix "hidden".
Comment 3 Tomas Pavek 2001-12-13 09:50:28 UTC
I don't understand why this should be P1 defect - if you delete 
something (after confirming explicitly you want to delete it), then 
it is deleted. I'm afraid it is not possible to restore default 
palette in form module, but you can do it manually. Exit the IDE, go 
to the your_userdir/system/Palette directory and delete all files 
with postfix "hidden".
Comment 4 Tomas Pavek 2001-12-13 09:53:39 UTC
Oops, I wanted to make this INVALID...
Comment 5 Tomas Pavek 2001-12-13 09:55:23 UTC
Second try...
Comment 6 Quality Engineering 2003-06-30 18:21:05 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.
Comment 7 Quality Engineering 2003-06-30 18:29:19 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo